Get all themes
GET https://{handle}.myshopline.com/admin/openapi/v20261201/themes.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get information about all themes in the store.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
themesobject[]
The information of all themes in the store.create_at stringThe creation time of the theme. Format: ISO 8601.Example:2024-10-28T16:34:30+08:00id stringThe unique ID of the theme.Example:671f4c96d2682a1f5407536ename stringThe name of the theme.Example:Modern1original_theme_id stringIf the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returnsnull.Example:6486f3eca26b90084144fa0brole stringThe status of the theme. Valid values are:published: Published themeunpublished: Unpublished themedevelopment: Theme in development
theme_type_version stringThe version identifier of the theme.Example:2.1
API Explorer
Debugger
Examples
Was this article helpful to you?